Subject: Re: bug#68111: 30.0.50; backward-kill-word too eager in cc-mode

From: Alan Mackenzie <[email-masked]>
Date: Sun, 31 Dec 2023 11:15:00 +0000

Hello, Platon.

Thanks for taking the trouble to report this bug, and sorry for the
annoyance it must have caused.

On Fri, Dec 29, 2023 at 21:23:54 +0500, Platon Pronko wrote:
> In cc-mode (C lang files) calling backward-kill-word seems to be too
> eager. For example, given the following file and cursor position:

> ```
> int main() {
>    printf("alpha beta gamma<cursor>
> }
> ```

> calling backward-kill-word results in

> ```
> int main() {
>    <cursor>
> }
> ```

> while the expected result is probably:

> ```
> int main() {
>    printf("alpha beta <cursor>
> }
> ```

> It seems that this is a regression in commit
> dae8aab52874441a70a94435d50f25b27301d9b0, by Alan Mackenzie on
> 2023-06-21.

Indeed, yes.  Thanks for doing the bisection, it saved me a lot of work.

I've committed a fix for the bug to the master branch of the repository.
Would you please update your copy of Emacs, test the fix, then either
confirm the fix is complete, or say what is still not working.  Then we
can close the bug.

Happy New Year!

> In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>   3.24.39, cairo version 1.18.0) of 2023-12-29 built on the-big-maker
> Repository revision: ea3d211f3f7ecc5b59d5affc1aed812a2ded62b0
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101010
> System Description: Arch Linux

[ .... ]

-- 
Alan Mackenzie (Nuremberg, Germany).